Subject: Re: [bitcoin-dev] BIP Process and Votes

From: Jorge Timón <[email-masked]>
Date: Sat, 27 Jun 2015 13:28:50 +0200

On Fri, Jun 26, 2015 at 2:34 PM, Milly Bitcoin <[email-masked]> wrote:
> Without looking up specific links I am confident people like Mircea Popescu
> will oppose just about any change.  Maybe they don't post their objection to
> Github but the point I am making is that no matter what change you make
> someone, somewhere will be against it.  Some of the developers think that
> Github is the only place that matters and that the only opinions that matter
> is a tiny group of insiders.  I don't think that way which is the reasoning
> behind my statement.

Yes, I understand that it may be difficult to define
"uncontroversial", as I explain in
http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-June/008936.html

> I have seen things like a Github discussion between 3 or 4 people
> and then Garzik send out a tweet that there is near universal approval for
> the proposed change as it nobody is allowed to question it.  After watching
> the github process for a couple years I simply don't trust it because the
> developers in charge have a dictatorial style and they shut out many
> stakeholders instead of soliciting their opinions.

Can you provide anything to back your claim?
Note that even if that's true, still, Bitcoin core != Bitcoin consensus rules.

> I view the Github system
> as the biggest centralized choke-point in Bitcoin and probably its biggest
> threat to its continued survival.  Anyone can come in and hire a couple core
> developers and veto any change they don't want.

Well, yes, github is centralized and so it is bitcoin core development.
But bitcoin core developers don't decide hardfork changes.
So far, softfork changes have been made because they have been
considered "uncontroversial", not because there's any centralized
negotiating table or voting process to decide when to force every user
to adapt their software to new consensus rules.